Bug 508207 - wpa enterprise using p12 connect greyed out.
Summary: wpa enterprise using p12 connect greyed out.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-26 06:08 UTC by Grant Williamson
Modified: 2009-08-11 10:43 UTC (History)
3 users (show)

Fixed In Version: 0.7.1-8.git20090708.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-24 19:45:16 UTC


Attachments (Terms of Use)
gconf dump of network configuration (4.23 KB, application/xml)
2009-06-26 06:08 UTC, Grant Williamson
no flags Details

Description Grant Williamson 2009-06-26 06:08:00 UTC
Created attachment 349508 [details]
gconf dump of network configuration

Description of problem:
Hi Dan,
	before I open a bugzilla, I wanted to run something by you.

If I try and configure wireless using a p12, I never get the option for it to connect, its alway greyed out.

My configuration is attached in network.xml

Latest packages in F11 testing show the same results.
kernel - 2.6.29.5-191.fc11.i586
NetworkManager - 0.7.1-5.git20090617.fc11.i586

When I start the applet manually, configured for p12. Could this be part of the issue.

** (nm-applet:23144): CRITICAL **: crypto_get_private_key_data: assertion `password != NULL' failed

** (nm-applet:23144): CRITICAL **: crypto_get_private_key_data: assertion `password != NULL' failed

** (nm-applet:23144): CRITICAL **: crypto_get_private_key_data: assertion `password != NULL' failed

** (nm-applet:23144): CRITICAL **: crypto_get_private_key_data: assertion `password != NULL' failed

Comment 1 Dan Williams 2009-07-02 16:29:40 UTC
Does the same thing happen if you got into the connection editor and set the connection up manually there?  Are you 100% sure the password you're entering is correct?  And which button (Client Certificate or Private Key) are you clicking to select the P12 file?

THanks!

Comment 2 Grant Williamson 2009-07-02 17:02:59 UTC
Since the AP is hidden I need create it manually, there the password/passphrase is accepted.
Its when I click on Connect to hidden network, select the profile the connect button is grey.

Comment 3 Dan Williams 2009-07-08 16:18:06 UTC
Ok, thanks for narrowing that down.

Comment 4 Dan Williams 2009-07-09 17:43:10 UTC
fixed upstream in applet commit 536a63b1cb73ae33c9234a319af507e70b4e0307 (master) and 16b389e00a828cfc114cfc0bcaa64d9e247fd890 (0.7)

Comment 5 Dan Williams 2009-07-09 17:47:11 UTC
Original code worked through pure luck; apparently newer GTK or faster machines expose the race condition between the post-setup idle-handler validation running and the file choosers completing their asynchronous operations.

Comment 6 Dan Williams 2009-07-09 17:56:21 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1463738 (devel)
http://koji.fedoraproject.org/koji/taskinfo?taskID=1463736 (f11)

Please test and let me know if you find any issues.  Thanks!

Comment 7 Fedora Update System 2009-07-16 07:07:35 UTC
NetworkManager-0.7.1-8.git20090708.fc11, mobile-broadband-provider-info-1.20090707-1.fc11, wpa_supplicant-0.6.8-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info wpa_supplicant'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6769

Comment 8 Fedora Update System 2009-07-24 19:44:48 UTC
NetworkManager-0.7.1-8.git20090708.fc11, mobile-broadband-provider-info-1.20090707-1.fc11, wpa_supplicant-0.6.8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Grant Williamson 2009-08-11 10:43:08 UTC
Indeed this issue is now resolved, tested it today.


Note You need to log in before you can comment on or make changes to this bug.